Skip to main content
GET
Get Synthetic Signing Link and Issued OTP

Headers

API-Version
string

Pin request, response, and webhook shapes to a specific dated API version (YYYY-MM-DD). Omit to use the version pinned to your API key (set when the key is created; new keys default to the latest version). New integrations should target the latest version.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-11-02"

Path Parameters

requestId
string
required

Credential request identifier

Query Parameters

id
string

User's VIA identifier

Example:

"did:web:humanos.tech:user:73ebefdd-a549-4873-aad9-def80c40c8c8"

internalId
string

Identifier to help you identify the user in your own system. We recommend using a unique value.

Example:

"internal-12345"

contact
string

Contact email or phone, including documented synthetic request aliases

Response

subjectOtpId
string
required

Exact synthetic recipient OTP identifier

Normal signing link for this synthetic recipient

code
string | null
required

Current issued OTP, or null before code delivery